﻿using System.ComponentModel;
using System.Windows;
using System.Windows.Input;
using Microsoft.Practices.Prism.Commands;
namespace SilverlightApplication3
{
   public class ViewModel : INotifyPropertyChanged
   {
      public ICommand DoSomethingCommand { get; set; }
      private decimal price;
      public ViewModel()
      {
         DoSomethingCommand = new DelegateCommand(DoSomething);

      }
      public event PropertyChangedEventHandler PropertyChanged;
      protected void NotifyPropertyChanged(string propertyName)
      {
         var handler = PropertyChanged;
         if (handler != null)
            handler(this, new PropertyChangedEventArgs(propertyName));
      }

      public decimal Price
      {
         get { return price; }
         set
         {
            price = value;
         }
      }

      private void DoSomething()
      {
         MessageBox.Show(Price.ToString());
      }
   }
}
